unit keymenu;

interface

const
  DefaultKeysCount = 50;
  DefaultKeys: array[0..DefaultKeysCount*2-1] of string = (
    'enter',  'fullscreen',
    'esc',    'exit',
    'space',  'scrolltopbottom',
    'pgup',   'zoomin',
    'pgdn',   'zoomout',
    'end',    'scrollbottom',
    'home',   'scrolltop',
    'left',   'scrollleft',
    'up',     'scrollup',
    'right',  'scrollright',
    'down',   'scrolldown',
    'c-tab',  'nextwindow',
    'cs-tab', 'prevwindow',
    'num1',   'zoom100',
    'num2',   'zoom200',
    'num3',   'zoom300',
    'num4',   'zoom400',
    'num5',   'zoom50',
    'num8',   'zoom800',
    '1',      'zoom100',
    '2',      'zoom200',
    '3',      'zoom300',
    '4',      'zoom400',
    '5',      'zoom50',
    '8',      'zoom800',
    'a',      'fitlargeimage',
    'b',      'previmage',
    's-b',    'prevfile',
    'c-b',    'hideborder',
    'c',      'showcolorvalue',
    's-c',    'copycolorvalue',
    'c-c',    'copyfilename',
    'c-g',    'showgrid',
    'n',      'nextimage',
    's-n',    'nextfile',
    'f',      'fitwindow',
    'c-f',    'scalefilter',
    'g',      'firstfile',
    's-g',    'lastfile',
    'i',      'info',
    'c-i',    'setimagesize',
    'p',      'previmage',
    'q',      'zoom150',
    'r',      'reloadimage',
    'c-r',    'refreshfilelist',
    's',      'fitimage',
    'c-s',    'saveas',
    't',      'stayontop',
    'x',      'zoomout',
    'z',      'zoomin'
    );

  MenuItemsCount = 49;
  MenuItems: array[0..MenuItemsCount*2-1] of string = (
    '&Previous Image',      'previmage',
    '&Next Image',          'nextimage',
    'P&revious File',       'prevfile',
    'N&ext File',           'nextfile',
    '&First File',          'firstfile',
    '&Last File',           'lastfile',
    'Re&load File',         'reloadimage',
    '-',                    '-',
    'Enable Scale &Filter', 'scalefilter',
    'Show Gri&d',           'showgrid',
    '-',                    '-',
//    'Original Size (&1)',   'zoom100',
    'Fi&t Image',           'fitimage',
    'Fit &Large Image',     'fitlargeimage',
    'Zoom In (&+)',         'zoomin',
    'Zoom Out (&-)',        'zoomout',
    '&Zoom',                '>',
      '&50%',               'zoom50',
      '&100%',              'zoom100',
      '150%(&Q)',           'zoom150',
      '&200%',              'zoom200',
      '&300%',              'zoom300',
      '&400%',              'zoom400',
      '&800%',              'zoom800',
    '',                     '',
    'Set Ima&ge Size',      'setimagesize',
    '-',                    '-',
    '&Fit Window',          'fitwindow',
    'Full &Screen',         'fullscreen',
    'Stay &On Top',         'stayontop',
    'Hide &Border',         'hideborder',
    '-',                    '-',
    'Image &Information',   'info',
    'Show Color &Value',    'showcolorvalue',
    '-',                    '-',
    '&Copy File Name',      'copyfilename',
    'Save &As...',          'saveas',
    'Set As &Wallpaper',    '>',
      '&Normal',            'setwallpaper',
      '&Tile',              'setwallpapertile',
    '',                     '',
    '-',                    '-',
    'Pl&ugin Setting',      '>',
      '(none)',             'pluginmenu',
    '',                     '',
    '-',                    '-',
    'About Plu&gins',       'aboutplugins',
    '&About',               'about',
    '-',                    '-',
    'E&xit',                'exit'
  );

implementation
end.
